Main Page Widgets Namespaces Book

# Generic container converters

## Modules

group | Helper classes

## Classes

class | Glib::ArrayHandle<T, Tr>
| If a method takes this as an argument, or has this as a return type, then you can use a standard container such as std::list or std::vector. More...
class | Glib::Sequence<Iterator>
| Utility class holding an iterator sequence. More...
class | Glib::ListHandle<T, Tr>
class | Glib::SListHandle<T, Tr>

## Typedefs

typedef ArrayHandle<Glib::ustring> | Glib::StringArrayHandle
| If a method takes this as an argument, or has this as a return type, then you can use a standard container such as std::list<Glib::ustring> or std::vector<Glib::ustring>.

## Enumerations

enum | Glib::OwnershipType { Glib::OWNERSHIP_NONE = 0, Glib::OWNERSHIP_SHALLOW, Glib::OWNERSHIP_DEEP }

## Functions

template <class Iterator> Sequence<Iterator> | Glib::sequence (Iterator pbegin, Iterator pend)
| Helper function to create a Glib::Sequence<> object, which in turn can be used to initialize a container handle.

## Typedef Documentation

typedef ArrayHandle<Glib::ustring> Glib::StringArrayHandle

| If a method takes this as an argument, or has this as a return type, then you can use a standard container such as std::list<Glib::ustring> or std::vector<Glib::ustring>.

## Enumeration Type Documentation

enum OwnershipType

Enumeration values:

  OWNERSHIP_NONE |
  OWNERSHIP_SHALLOW |
  OWNERSHIP_DEEP |

## Function Documentation

template <class Iterator>
Sequence<Iterator> sequence | ( | Iterator | pbegin,
|  | Iterator | pend
| ) | `[inline]`

Helper function to create a Glib::Sequence<> object, which in turn can be used to initialize a container handle.

Usage example:

       combo.set_popdown_strings(Glib::sequence(foo_begin, foo_end));